# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXTraversePickPath

Function

Returns the subObject of the current Object selected by a pick path.

Syntax
`
#include <dx/dx.h>
`

Object DXTraversePickPath(Object current, int index, Matrix *matrix)

Functional Details

Traverses a data Object to reach the picked Field, element, and vertex. Given an Object `current` (initially the root of the data Object), a pointer to a matrix `matrix` (initially identity), and a path index `index`, returns the subObject of the current Object.

When Xform Objects are encountered, the matrix associated with the Xform is concatenated onto the matrix pointed to by the `matrix` parameter (if one was passed in). When the end of the path is found (either by recognizing that the returned Object is a Field or that the returned Object is the same as the current Object), the caller is left with the picked Field and a transform carrying the coordinate system of that Field to the eye coordinate system.

Return Value

Returns the subObject or returns `NULL` and sets an error code.

See Also

`DXGetPickPoint, DXQueryPickCount, DXQueryPickPath, DXQueryPokeCount`

14.6 , "Pick-Assistance Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]